package com.ruoyi.bst.fault.service;

import java.util.List;

import com.ruoyi.bst.fault.domain.FaultQuery;
import com.ruoyi.bst.fault.domain.vo.FaultStatVO;

public interface FaultDashboard {

    FaultStatVO selectStat(FaultQuery query, List<String> keys);

    /**
     * 查询待处理的故障数量
     * @param query
     * @return
     */
    Integer selectPendingCount(FaultQuery query);
    
}
